#ifndef CDLGOSD_H
#define CDLGOSD_H

#include <QWidget>
#include "cvideochannel.h"
#include "publicheaders.h"
#include "cgenerateshfile.h"
#include <QFileDialog>

class CDlgOSD : public QWidget
{
    Q_OBJECT
public:
    explicit CDlgOSD(QWidget *parent = 0);

    void CheckConfig();
    void UpdateOSD();

private:
    bool UploadImage(QString &pngpath);

protected:
    QLabel              *m_lblOSDImage;
    QLineEdit           *m_editImagePath;
    QPushButton         *m_btnSelectImage;
    QCheckBox           *m_ckbEnableOSD;
    QPushButton         *m_btnLoadPresent;
    QPushButton         *m_btnSavePresent;
    QString             m_strImagePath;

    CGenerateSHFile     *m_shFile;

signals:

public slots:
    void onSelectImageClicked(bool bFlag);
    void onLoadPresentClicked(bool bFlag);
    void onSavePresentClicked(bool bFlag);
    void onEnableOSDChecked(int nStatus);
};

#endif // CDLGOSD_H
