#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include<QLabel>
#include<QPushButton>
#include<QGridLayout>
#include<QWidget>
#include<QMenu>
#include<QAction>
#include<QHBoxLayout>
#include <QVBoxLayout>
#include<QMenuBar>
#include<QDebug>
#include<QLabel>
#include<QPushButton>
#include<QHBoxLayout>
#include<QVBoxLayout>
#include<QStatusBar>
#include<QMessageBox>
#include<QMenu>
#include<QInputDialog>
#include"settingsdlg.h"
#include"aboutdlg.h"
#include"mainview.h"


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void createAction();
    void createMenu();
    void createStatus();

public slots:
    void onSetClicked(void);//Setting
    void onShotClicked(void);//Screen Shot
    void onAboutClicked(void);//About
    void onRevFromSettingDlg(CHANNEL_INDEX*,int,int,st_size,double,bool);//Rcv from SettingsDlg
    void onRevFPS(QString strFPS);//Rcv from MainView(FPS info)

private:
    //Params
    int             m_nRevChannelNum;
    int             m_nRevFormat;
    st_size         m_stRevSize;
    double          m_dRevFPS;

    CMainView       *m_wndMain;
    CSettingsDlg    *m_dlgSettings;
    CAboutDlg       *m_dlgAbout;

    //menu
    QMenu           *m_fileMenu;
    QMenu           *m_helpMenu;

    //menu Action
    QAction         *m_setAction;
    QAction         *m_shotAction;
    QAction         *m_closeAction;
    QAction         *m_aboutAction;

    //Status bar
    QLabel          *m_labFPS;
};

#endif // MAINWINDOW_H
