#ifndef VIDEO_DEVICE_INFO_H
#define VIDEO_DEVICE_INFO_H
#include <stdbool.h>
#include "lib-mw-capture.h"
#include "audio-device-info.h"

typedef struct _VIDEO_DEVICE_INFO_
{
    char szDevicePath[MAX_CHANNEL_NAME_LEN];
    MWCAP_CHANNEL_INFO channelInfo;
} VIDEO_DEVICE_INFO;


int SelectAllVideoDevices();
int SelectVideoDevicesByID(int nBoardID, int nChannelID);
int SelectVideoDevicesByPath(char *szDevicePath);
int GetSelectDeviceCount();

void GetDeviceInfoByIndex(int nIndex, VIDEO_DEVICE_INFO *deviceInfo);

int GetDeviceIndexByPath(char *szDevicePath);
void PrintSelectedVideoDevicesInfo();


#endif // VIDEO_DEVICE_INFO_H
