#include "captureexpress.h"
#include <QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    CCaptureExpress w;

    int nChannelCount = 0;
    if (MWCaptureInitInstance() == false)
        nChannelCount = 0;

    if (MWRefreshDevice() != MW_SUCCEEDED)
        nChannelCount = 0;

    nChannelCount = MWGetChannelCount();
    if (nChannelCount <= 0)
    {
        int nScreenWidth = QApplication::desktop()->width();
        int nScreenHeight = QApplication::desktop()->height();
        int cx = nScreenWidth / 2;
        int cy = nScreenHeight / 2;
        int x= cx / 2;
        int y= cy /2;
        w.setGeometry(x, y, cx, cy);
        QMessageBox messagebox(&w);
        messagebox.about(&w, "captureexpress","No Device !");
        MWCaptureExitInstance();
        return 0;
    }
    else
    {
        w.CreateWindow(argv[1]);
        w.show();
    }

    return app.exec();
}
