#ifndef CTABPROPERTY_H
#define CTABPROPERTY_H

#include <QObject>
#include <QTabWidget>
#include <QHBoxLayout>

class CDlgAmpproc;
class CDlgHDIMI;
class CDlgInfo;
class CDlgInput;
class CDlgOSD;
class CDlgTiming;
class CDlgVideo;

class CTabProperty : public QWidget
{
    Q_OBJECT
public:
    explicit CTabProperty(QWidget *parent = 0);
    void VideoDeviceChanged();

protected:
    QTabWidget          *m_tabMain;

    CDlgAmpproc         *m_dlgAmpProc;
    CDlgHDIMI           *m_dlgHDMI;
    CDlgInfo            *m_dlgInfo;
    CDlgInput           *m_dlgInput;
    CDlgOSD             *m_dlgOSD;
    CDlgTiming          *m_dlgTiming;
    CDlgVideo           *m_dlgVideo;

signals:

public slots:
};

#endif // CTABPROPERTY_H
