#ifndef CTABLEWIDGET_H
#define CTABLEWIDGET_H

#include <QWidget>
#include <QTableWidget>
#include <QDebug>
class CTableWidget : public QTableWidget
{
    Q_OBJECT
public:
    explicit CTableWidget(QWidget *parent = 0);

protected:
    void focusInEvent ( QFocusEvent * event ) {
        emit sigInEvent(true);
    }

    void focusOutEvent ( QFocusEvent * event ) {
        emit sigInEvent(false);
    }

signals:
    void sigInEvent(bool );

public slots:
};

#endif // CTABLEWIDGET_H
